%global momorel 2

Summary: GNOME keyboard shared library
Name: libgnomekbd
Version: 2.22.0
Release: %{momorel}m%{?dist}
Group: System Environment/Libraries
License: LGPL
URL: http://www.gnome.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.22/%{name}-%{version}.tar.bz2
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: dbus-devel >= 1.1.20
BuildRequires: dbus-glib-devel >= 0.74
BuildRequires: GConf2-devel >= 2.22.0
BuildRequires: gtk2-devel >= 2.12.8
BuildRequires: libxklavier-devel >= 3.5
BuildRequires: libglade2-devel >= 2.6.2
BuildRequires: libgnome-devel >= 2.22.0
BuildRequires: libgnomeui-devel >= 2.22.01
Requires: GConf2

%description
GNOME keyboard shared library

%package devel
Summary: libgnomekbd devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
libgnomekbd devel

%prep
%setup -q

%build
%configure --disable-schemas-install
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot}%{_libdir} -maxdepth 1 -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/desktop_gnome_peripherals_keyboard_xkb.schemas > /dev/null

gtk-update-icon-cache --quiet /usr/share/icons/hicolor

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING.LIB ChangeLog.libgswitchit ChangeLog.libkbdraw NEWS README
%{_sysconfdir}/gconf/schemas/desktop_gnome_peripherals_keyboard_xkb.schemas
%{_bindir}/gkbd-indicator-plugins-capplet
%{_libdir}/*.so.*
%{_datadir}/applications/gkbd-indicator-plugins-capplet.desktop
%{_datadir}/%{name}
%{_datadir}/locale/*/*/*

%files devel
%defattr(-, root, root)
%{_includedir}/%{name}
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.0-2m)
- rebuild against gcc43

* Wed Mar 19 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.0-1m)
- update to 2.22.0

* Thu Mar 13 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.21.4.1-1m)
- update to 2.21.4.1

* Sun Feb 10 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-2m)
- rebuild against libxklavier-3.4

* Thu Sep 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.20.0-1m)
- update to 2.20.0

* Mon May 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.2-1m)
- update to 2.18.2

* Wed Apr 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.18.1-1m)
- update to 2.18.1

* Tue Mar 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.18.0-1m)
- update to 2.18.0

* Thu Mar  1 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.92-1m)
- update to 2.17.92

* Thu Feb 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.2-3m)
- rewind %%post script (gconftool-2)

* Sun Feb 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.2-2m)
- revice %%post script (gconftool-2)

* Fri Feb 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.17.2-1m)
- initila build (unstable)
